stalonetray

1 stalonetray stalonetray 0.7.6 User Commands

stalonetray

stand-alone system tray (notification area) implementation. This document covers 0.7.6 version of stalonetray.

      stalonetray
      option

## DESCRIPTION

Stalonetray is a stand-alone system tray (notification area) for X Window System/X11 (e.g. XOrg or XFree86). It has minimal build and run-time dependencies: an X11 lib only. Complete XEMBED support is under development. Stalonetray works with virtually any EWMH-compliant window manager.

The behaviour and the look of stalonetray can be configured either via command line options or via configuration file. As usual, command-line options have precedence over options that are specified in the configuration file.

Names of command line parameter may have two variants: short (`–o`) and long (`––option`). Write `–o` `value` or `–o` `value` to pass a value using the short name of a parameter; to pass a value using a long name, write `––option` `value` or `––option`=`value`. All flag-like parameters have optional boolean value that when ommited is assumed to be "true". Write "true", "yes", "1", for positive boolean values, and "false", "no", "0" for negative ones. Please note, that a value cannot start with "-". This limitation is to be fixed in future releases.

Default configuration file is `$HOME/.stalonetrayrc`. A configuration file contains case-insensetive keyword-argument pairs, one per line. Lines starting with '#' and empty lines are ignored. Alternatively, confiuration file can specified via `–c` or `––config` command-line options.

Below is the list of possible command line/configuration file options. Options starting with hyphens are command-line parameters others are configuration file keywords. Options that are new in 0.7.6 version are marked with "NEW in 0.7.6".

## OPTIONS

`–display` `display`

`display` `display`

- Use X display `display`.

`––dbg–level` `n`

`dbg_level` `n`

- Set the level of debug output to `n` (stalonetray must be compiled with `––enable–debug` for this option to have effect.) Default value: `4`.

`–bg` `color`

`––background` `color`

`background` `color`

- Use `color` for tray`s background. `color` can be specified as an HTML hex triplet or as a name from rgb.txt (note that '#' must be quoted). Default value: `#777777`.

`–c` `filename`

`––config` `filename`

- Read configuration from `filename` instead of default `$HOME/.stalonetrayrc`.

`–d` `decspec`

`––decorations` `decspec`

`decorations` `decspec`

- Specify visiblie tray window decorations. Possible values for `decspec` are: `all`, `title`, `border`, `none` (default). This option is NEW in 0.7 and replaces now deprecated `no_deco`, `no_title`, and `no_border` options.

`–f` `level`

`––fuzzy-edges` `level`

`fuzzy_edges` `level`

- Enable fuzzy edges of tray window and sets fuzziness level. (NEW in 0.7); `level` ranges from `0` (disabled, default) to `3`. When ommited, `level` defaults to 2.

`––geometry` `geometry_spec`

`geometry` `geometry_spec`

- Set tray`s initial geometry to `geometry_spec`, specified in standard X notation: `width`x`height`[+`x`[+`y`]]. Default value: `124x24+0-0`.

`––grow–gravity` `gravity`

`grow_gravity` `gravity`

- Specify icon positioning gravity (one of `N`, `S`, `W`, `E`, `NW`, `NE`, `SW`, `SE`). Grow gravity specifies directions in which tray may and will grow. For instance, if you specify `W`, tray will be allowed to grow to the left (oppisite to West) side only; `NW` will allow tray to grow down and to the right (these are sides, that are opposite to upper-left, or North-West, corner). Default value: `NE`.

`––icon–gravity` `gravity`

`icon_gravity` `gravity`

- Specify icon positioning gravity (one of `NW`, `NE`, `SW`, `SE`). If you specify, for instance, `SW`, icons will appear starting from the lower-left corner of stalonetray window. Default value: `NE`.

`–i` `n`

`––icon–size` `n`

`icon_size` `n`

- Set basic icon size to `n`. Default value: `24`.

`––ignore–icon–resize`

`ignore_icon_resize `bool``

- Ignore icon resizing events, effectively forcing all icons dimensions to be icon_size x icon_size. Default value: `false`.

`–h`

`––help`

- Show help message.

`––max–width` `n`

`max_width` `n`

- Set tray`s maximal width to `n` (0 means no limit). Default value: `0`.

`––max–height` `n`

`max_height` `n`

- Set tray`s maximal height to `n` (0 means no limit). Default value: `0`.

`––no–shrink`

`no_shrink` `bool`

- Do not shrink tray window back after icon removal. Useful when tray is swallowed by another window like FvwmButtons. Default value: `false`.

`–p`

`––parent–bg`

`parent_bg` `bool`

- Use parent for background. Default value: `false`.

`––pixmap–bg `path_to_xpm``

`pixmap_bg` `path_to_xpm`

- Use pixmap from an XPM file specified by `path_to_xpm` for tray`s background (pixmap will be tiled to fill the whole window).

`––respect–icon–hints`

`respect_icon_hints` `bool`

- Do respect icon window min_width/min_height size hints. This may help with unusually-sized icons, which fail to resize themselves after being resized to icon_size x icon_size. Note, that if stalonetray is configured to ignore icon resize events, this option has no effect. Default value: `false`.

`––skip–taskbar`

`skip_taskbar` `bool`

- Hide tray`s window from the taskbar. Default value: `false`.

`––sticky`

`sticky` `bool`

- Make tray`s window sticky across multiple desktops/pages. Default value: `false`.

`––tint–color`

`tint_color` `bool`

- Set tinting color. Default value: `white`.

`––tint–value`

`tint_color` `bool`

- Set tinting level. Default value: `0` (tinting disabled).

`–t`

`––transparent`

`transparent` `bool`

- Enable root transparency. Default value: `false`.

`–v`

`––vertical`

`vertical` `bool`

- Use vertical layout of icons (horizontal is used by default).

`––window-layer` `layer`

`window_layer` `layer`

- Sets the EWMH–compliant layer of tray`s window. Possible values for `layer`: `bottom`, `normal`, `top`. Default value: `normal`.

`––window-type` `type`

`window_type` `type`

- Sets the EWMH–compliant type of tray`s window. Possible values for `type`: `dock`, `normal`, `toolbar`, `utility`. Default value: `dock`.

`–w`

`––withdrawn`

`withdrawn` `bool`

- Start in withdrawn (dockapp) mode. NEW in 0.7, prior to that was default mode.

`––xsync`

`xsync` `bool`

- Operate on X server synchronously (SLOW, turned off by default).

## FILES

`$HOME/.stalonetrayrc` — default configuration file.

## BUGS

There are some, definetly.

If you have found a bug, please try to reproduce it with debug level set to 8 and send the log file to me: busa_ru@users.sourceforge.net. If you need support, the best way to get it is also to e–mail me directly. If you have installed stalonetray from distribution repository, you can also file a bug there.